### Class

# Cogl Texture

#### Description [src]

    abstract class Cogl.Texture : GObject.Object
    {
      /* No available fields */
    }

Functions for creating and manipulating textures

Cogl allows creating and manipulating textures using a uniform API that tries to hide all the various complexities of creating, loading and manipulating textures.

#### Ancestors

- GObject

#### Descendants

- CoglAtlasTexture
- CoglSubTexture
- CoglTexture2D
- CoglTexture2DSliced

#### Functions

###### cogl_texture_error_quark

No description available.

#### Instance methods

###### cogl_texture_allocate

Explicitly allocates the storage for the given `texture` which allows you to be sure that there is enough memory for the texture and if not then the error can be handled gracefully.

###### cogl_texture_get_components

Queries what components the given `texture` stores internally as set via cogl_texture_set_components().

###### cogl_texture_get_data

Copies the pixel data from a cogl texture to system memory.

###### cogl_texture_get_gl_texture

Queries the GL handles for a GPU side texture through its `CoglTexture`.

###### cogl_texture_get_height

Queries the height of a cogl texture.

###### cogl_texture_get_max_waste

Queries the maximum wasted (unused) pixels in one dimension of a GPU side texture.

###### cogl_texture_get_premultiplied

Queries the pre-multiplied alpha status for internally stored red, green and blue components for the given `texture` as set by cogl_texture_set_premultiplied().

###### cogl_texture_get_width

Queries the width of a cogl texture.

###### cogl_texture_is_get_data_supported

No description available.

###### cogl_texture_is_sliced

Queries if a texture is sliced (stored as multiple GPU side tecture objects).

###### cogl_texture_set_components

Affects the internal storage format for this texture by specifying what components will be required for sampling later.

###### cogl_texture_set_data

`texture` a `CoglTexture`. Sets all the pixels for a given mipmap `level` by copying the pixel data pointed to by the `data` argument into the given `texture`.

###### cogl_texture_set_premultiplied

Affects the internal storage format for this texture by specifying whether red, green and blue color components should be stored as pre-multiplied alpha values.

###### cogl_texture_set_region

Sets the pixels in a rectangular subregion of `texture` from an in-memory buffer containing pixel data.

###### cogl_texture_set_region_from_bitmap

Copies a specified source region from `bitmap` to the position (`src_x`, `src_y`) of the given destination texture `handle`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Cogl.Texture:context

No description available.

###### Cogl.Texture:format

No description available.

###### Cogl.Texture:height

No description available.

###### Cogl.Texture:loader

No description available.

###### Cogl.Texture:width

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct CoglTextureClass {
      /* no available fields */
    }

No description available.